package com.emr.entity.emrCode;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class T_Diag {
    private String patientId;

    private Short diagNo;

    private String diagCode;

    private String diagName;

    private String diagType;

    private String disThing;

    private String pathologyCut;

    private String xRay;

    private String operCode;

    private String operName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date operDate;

    private String singl;

    private Date createDate;

    private String patAdmCondition;

    private String pid;

    private String vid;

    private String inhospstat;

    private Short currentDiagNo;//该对象序号

    public Short getCurrentDiagNo() {
        return currentDiagNo;
    }

    public void setCurrentDiagNo(Short currentDiagNo) {
        this.currentDiagNo = currentDiagNo;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public Short getDiagNo() {
        return diagNo;
    }

    public void setDiagNo(Short diagNo) {
        this.diagNo = diagNo;
    }

    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode == null ? null : diagCode.trim();
    }

    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName == null ? null : diagName.trim();
    }

    public String getDiagType() {
        return diagType;
    }

    public void setDiagType(String diagType) {
        this.diagType = diagType == null ? null : diagType.trim();
    }

    public String getDisThing() {
        return disThing;
    }

    public void setDisThing(String disThing) {
        this.disThing = disThing == null ? null : disThing.trim();
    }

    public String getPathologyCut() {
        return pathologyCut;
    }

    public void setPathologyCut(String pathologyCut) {
        this.pathologyCut = pathologyCut == null ? null : pathologyCut.trim();
    }

    public String getxRay() {
        return xRay;
    }

    public void setxRay(String xRay) {
        this.xRay = xRay == null ? null : xRay.trim();
    }

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode == null ? null : operCode.trim();
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName == null ? null : operName.trim();
    }

    public Date getOperDate() {
        return operDate;
    }

    public void setOperDate(Date operDate) {
        this.operDate = operDate;
    }

    public String getSingl() {
        return singl;
    }

    public void setSingl(String singl) {
        this.singl = singl == null ? null : singl.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getPatAdmCondition() {
        return patAdmCondition;
    }

    public void setPatAdmCondition(String patAdmCondition) {
        this.patAdmCondition = patAdmCondition == null ? null : patAdmCondition.trim();
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid == null ? null : pid.trim();
    }

    public String getVid() {
        return vid;
    }

    public void setVid(String vid) {
        this.vid = vid == null ? null : vid.trim();
    }

    public String getInhospstat() {
        return inhospstat;
    }

    public void setInhospstat(String inhospstat) {
        this.inhospstat = inhospstat == null ? null : inhospstat.trim();
    }
}